Status: Resolved Priority: Should have
Author: Susanne Moog Category:
Created: 2008-07-09 Assigned To: Chris topher
Updated: 2014-12-16 Due date:
Subject: Mark functions "textStyle" and "tableStyle" as deprecated
Description

while writing that 45 minutes tutorial I stumbled upon some typoscript functions I had never seen before. I googled them and some
where really outdated, mainly textStyle (generates <font>(!!)Tags), tableStyle und addParams (the function "addParams" in opposite
to the parameter "addParams", they seem in fact to be different).

So my question is: Are these officially deprecated? If not, shouldn't they be? If so, should TSref not be updated to reflect that?

(issue imported from #M8931)

Related issues:
related to Core - Task # 49247: Deprecate TypoScript functions "textStyle" an... Resolved 2013-06-19

History
#1 - 2013-06-18 15:24 - Chris topher
- Project changed from Core to TypoScript Reference (TSref)
- Target version deleted (0)

"textStyle", "tableStyle" and "addParams" are the functions from here.

    -  "textStyle", "tableStyle" should become deprecated; what they offer should today be done via CSS.
    -  "addParams" allows to add attributes to any HTML tag. The way how you manipulate the tags is kind of "ugly" (addParams._offset = -2). The
implementation also is incomplete; how can I manipulate 2 different html tags at the same time? Two different values for addParams._offset are not
possible. And I personally never had a need to use that myself. Replacement?

=> Deprecation notes should be added to the according TypoScript functions, so that they can be removed in the future.

When the feature is in I will take care of the documentation.

#2 - 2013-06-19 13:41 - Chris topher
- Tracker changed from Bug to Task
- Subject changed from possibly deprecated elements - are these deprecated and should TSRef be updated? to Mark functions "textStyle", 
"tableStyle" and "addParams" as deprecated

#3 - 2014-12-16 16:38 - Chris topher
- Assigned To set to Chris topher
- Target version set to 7

"addParams" is still in use. #49247 now deprecated "textStyle" and "tableStyle" for 7.1.

#4 - 2014-12-16 16:39 - Chris topher
http://docs.typo3.org/typo3cms/TyposcriptReference/Functions


- Subject changed from Mark functions "textStyle", "tableStyle" and "addParams" as deprecated to Mark functions "textStyle" and "tableStyle" as 
deprecated

#5 - 2014-12-16 17:01 - Chris topher
- Status changed from New to Resolved
- % Done changed from 0 to 100

Documented in https://github.com/TYPO3-Documentation/TYPO3CMS-Reference-Typoscript/commit/27cb06943c0111bdccfa0e6c16aa2c576c6257de
.
